
Infrastructure - Story #945

Document and implement search mechanism exposed by the Coordinating Nodes

2010-10-06 22:17 - Dave Vieglais

Status: Closed Start date: 2010-10-07

Priority: Normal Due date:  

Assignee: Dave Vieglais % Done: 100%

Category: Documentation Estimated time: 0.00 hour

Target version: Sprint-2012.07-Block.1.4   

Story Points:    

Description

Need to complete documentation of the search() calls and complete the implementation for the CN and ITK components.

Subtasks:

Task # 82: Draft CN.search parameters and response Closed

  Task # 1738: Document the Mercury schema.xml entries Closed

Task # 868: Add support for search with qt=solr to DataONEClient, SimpleDataONEClient a... Rejected

Related issues:

Related to Infrastructure - Story #1054: Need to implement Authorization for ... Closed

History

#1 - 2010-10-07 18:17 - Matthew Jones

- Position set to 24

#2 - 2010-10-07 18:25 - Dave Vieglais

- Position set to 2

- Position deleted (26)

#3 - 2010-10-07 18:25 - Dave Vieglais

- Position deleted (2)

- Position set to 1

#4 - 2010-10-07 18:32 - Dave Vieglais

- Target version set to Sprint-2010.41

- Position set to 15

- Position deleted (1)

#5 - 2010-10-18 12:55 - Dave Vieglais

- Target version changed from Sprint-2010.41 to Sprint-2010.42

Documentation progressing but not yet complete.

#6 - 2010-10-22 16:55 - Dave Vieglais

- Position deleted (26)

- Position set to 5

- Target version changed from Sprint-2010.42 to Sprint-2010.43

#7 - 2010-10-29 16:55 - Dave Vieglais

- Position deleted (10)
- Position set to 1

- Target version changed from Sprint-2010.43 to Sprint-2010.45

#8 - 2010-11-15 17:11 - Dave Vieglais

- Position deleted (34)

- Position set to 2

- Target version changed from Sprint-2010.45 to Sprint-2010.46

#9 - 2010-11-19 17:27 - Dave Vieglais

- Status changed from New to In Progress

#10 - 2010-11-22 17:33 - Dave Vieglais

- Position set to 31

- Position deleted (21)

- Target version changed from Sprint-2010.46 to Sprint-2010.47

#11 - 2010-11-30 18:18 - Dave Vieglais

- Position deleted (39)

- Position set to 18

- Target version changed from Sprint-2010.47 to Sprint-2010.48

#12 - 2010-12-13 18:34 - Dave Vieglais

- Position deleted (41)

- Position set to 8

- Target version changed from Sprint-2010.48 to Sprint-2010.50

#13 - 2010-12-13 18:55 - Dave Vieglais

- Position deleted (14)

- Position set to 23

- Target version changed from Sprint-2010.50 to Sprint-2010.51

#14 - 2011-01-03 03:14 - Dave Vieglais

- Target version changed from Sprint-2010.51 to Sprint-2011.03

#15 - 2011-01-24 05:00 - Dave Vieglais

- Target version changed from Sprint-2011.03 to Sprint-2011.04

- Position set to 43

- Position deleted (39)

#16 - 2011-02-01 17:14 - Dave Vieglais

- Position deleted (55)

- Position changed from 1 to 126

- Position set to 1

- Target version changed from Sprint-2011.04 to Sprint-2011.05

#17 - 2011-02-10 04:04 - Dave Vieglais

- Position deleted (138)

- Position set to 41

- Target version changed from Sprint-2011.05 to Sprint-2011.09-Block.2
#18 - 2011-03-07 17:43 - Dave Vieglais

- Position deleted (66)

- Position set to 6

- Target version changed from Sprint-2011.09-Block.2 to Sprint-2011.10-Block.2

#19 - 2011-03-17 16:05 - Dave Vieglais

- Position deleted (18)

- Position set to 13

- Target version changed from Sprint-2011.10-Block.2 to Sprint-2011.11-Block.2

#20 - 2011-03-22 14:02 - Dave Vieglais

- Position deleted (22)

- Position set to 21

- Target version changed from Sprint-2011.11-Block.2 to Sprint-2011.12-Block.2

#21 - 2011-03-28 15:17 - Dave Vieglais

- Position deleted (22)

- Position set to 4

- Target version changed from Sprint-2011.12-Block.2 to Sprint-2011.13-Block.2

#22 - 2011-04-05 01:42 - Dave Vieglais

- Position deleted (9)

- Position set to 1

- Target version deleted (Sprint-2011.13-Block.2)

#23 - 2011-05-31 15:54 - Dave Vieglais

- Target version set to Sprint-2011.22-Block.3

- Position set to 23

- Position deleted (44)

#24 - 2011-06-07 00:12 - Dave Vieglais

- Position set to 33

- Target version changed from Sprint-2011.22-Block.3 to Sprint-2011.23-Block.3

- Position deleted (24)

#25 - 2011-06-27 01:18 - Dave Vieglais

- Position set to 5

- Position deleted (38)

- Target version changed from Sprint-2011.23-Block.3 to Sprint-2011.26-Block.4

#26 - 2011-08-30 01:19 - Dave Vieglais

- Target version deleted (Sprint-2011.26-Block.4)

- Position set to 2

- Position deleted (20)

#27 - 2011-08-30 01:54 - Dave Vieglais

- Position set to 3

- Position deleted (33)
#28 - 2011-08-30 03:14 - Dave Vieglais

- Position deleted (12)

- Position set to 76

- Target version set to Sprint-2011.35-Block.5

#29 - 2011-09-06 17:56 - Dave Vieglais

- Position deleted (85)

- Position set to 2

- Target version changed from Sprint-2011.35-Block.5 to Sprint-2011.36-Block.5

#30 - 2011-09-14 11:19 - Dave Vieglais

- Position deleted (1)

- Position set to 24

- Target version changed from Sprint-2011.36-Block.5 to Sprint-2011.37-Block.5

#31 - 2011-10-07 18:42 - Dave Vieglais

- Position deleted (28)

- Position set to 22

- Target version changed from Sprint-2011.37-Block.5 to Sprint-2011.41-Block.5

#32 - 2011-10-25 16:26 - Dave Vieglais

- Position deleted (36)

- Position set to 1

- Target version changed from Sprint-2011.41-Block.5 to Sprint-2011.43-Block.6

#33 - 2011-10-31 17:15 - Dave Vieglais

- Position deleted (17)

- Position set to 3

- Target version changed from Sprint-2011.43-Block.6 to Sprint-2011.44-Block.6

#34 - 2011-11-07 16:44 - Dave Vieglais

- Position deleted (12)

- Position set to 1

- Target version changed from Sprint-2011.44-Block.6 to Sprint-2011.45-Block.6

#35 - 2011-11-15 03:55 - Dave Vieglais

- Position changed from 1 to 312

- Position set to 1

- Position deleted (16)

- Target version changed from Sprint-2011.45-Block.6 to Sprint-2011.46-Block.6

#36 - 2011-11-28 18:21 - Dave Vieglais

- Position set to 1

- Position deleted (304)

- Target version changed from Sprint-2011.46-Block.6 to Sprint-2011.48-Block.6

#37 - 2011-12-06 14:37 - Dave Vieglais

- Target version changed from Sprint-2011.48-Block.6 to Sprint-2011.49-Block.6

- Position set to 326
- Position deleted (23)

#38 - 2011-12-19 18:46 - Dave Vieglais

- Position deleted (325)

- Position set to 1

- Target version changed from Sprint-2011.49-Block.6 to Sprint-2011.51-Block.6

#39 - 2012-01-03 13:28 - Dave Vieglais

- Position deleted (4)

- Position changed from 1 to 330

- Position set to 1

- Target version changed from Sprint-2011.51-Block.6 to Sprint-2012.01-Block.1.1

#40 - 2012-01-04 17:59 - Skye Roseboom

- Position set to 331

- Position deleted (329)

#41 - 2012-01-17 15:46 - Dave Vieglais

- Position deleted (344)

- Target version changed from Sprint-2012.01-Block.1.1 to Sprint-2012.03-Block.1.2

- Position set to 11

#42 - 2012-01-30 16:30 - Dave Vieglais

- Position deleted (14)

- Target version changed from Sprint-2012.03-Block.1.2 to Sprint-2012.05-Block.1.3

- Position set to 2

#43 - 2012-02-13 18:13 - Dave Vieglais

- Position set to 1

- Position deleted (36)

- Target version changed from Sprint-2012.05-Block.1.3 to Sprint-2012.07-Block.1.4

#44 - 2012-05-17 18:47 - Rob Nahf

- Category changed from d1_common_java to Documentation

- Milestone changed from CCI-0.6 to CCI-1.0.0

#45 - 2018-01-17 20:49 - Dave Vieglais

- % Done changed from 30 to 100

- Status changed from In Progress to Closed
